package cn.ey.biz.module.system.convert.file;

import cn.ey.biz.common.pojo.PageResult;
import cn.ey.biz.module.system.api.file.dto.FileRespDTO;
import cn.ey.biz.module.system.controller.admin.file.vo.file.FileRespVO;
import cn.ey.biz.module.system.dal.dataobject.file.FileDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper
public interface FileConvert {

    FileConvert INSTANCE = Mappers.getMapper(FileConvert.class);

    FileRespVO convert(FileDO bean);

    PageResult<FileRespVO> convertPage(PageResult<FileDO> page);

    List<FileRespVO> convertList(List<FileDO> bean);

    FileRespDTO convertFile(FileDO bean);
}
